@ECHO OFF
REM --------------------------------------------------------------------------
REM Licensed Materials - Property of IBM
REM  
REM 5724-A78
REM
REM (C) Copyright IBM Corp. 2001 All Rights Reserved.
REM
REM US Government Users Restricted Rights - Use, duplication or
REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
REM
REM --------------------------------------------------------------------------

REM --------------------------------------------------------------------------
REM List the MBeans in the Master or a specified JMX agent
REM --------------------------------------------------------------------------

CLS
setlocal

call bizSetEnv
call bizSetJMXEnv

set HOST=%1
if ".%HOST%." == ".?." goto :usage

set PORT=%2
if defined PORT set PORT=:%PORT%

if not defined HOST (
    echo Listing MBeans on the master MBean server
    echo.
    java com.ibm.btobi.management.framework.jmx.MasterMBeanServerFactory
) else (
    echo Listing MBeans on the MBean server on %HOST%
    echo.
    java com.ibm.btobi.management.framework.jmx.RemoteMBeanServerFactory rmi://%HOST%%PORT%
)
endlocal
goto :eof


:usage
echo.
echo bizListMBeans [hostname [portnumber] ]
echo.
echo     Lists the MBeans registered in an MBean server
echo.
echo     hostname:  the ip name of the machine where the JMX agent is running
echo                If not specified, the Master JMX agent will be used
echo     portnumber: the port number on which the JMX agent can be contacted
echo                Only relevant if a host name is specified.
echo                If the port number is not specified the default will be used.
echo.

